winbind - Some programs need it to work properly

New features which should be implemented in Porteus; suggestions are welcome. All questions or problems with testing releases (alpha, beta, or rc) should go in their relevant thread here, rather than the Bug Reports section.
Post Reply
jaidan372
White ninja
White ninja
Posts: 4
Joined: 09 Mar 2019, 16:55
Distribution: Porteus

winbind - Some programs need it to work properly

Post#1 by jaidan372 » 09 Mar 2019, 17:07

Hi, everyone.
It's my first post, so, sorry if I'm not good at this. ^^!
I want to share with you that I'd like to run Microsoft Office 2010 in Porteus 4.0, but I can't because winbind is missing. I got the others modules requirements from USM (like libieee, sane, python, pygtk, pycairo, pygobject), but not winbind... :(
If you could pass me a winbind module, I'd be very deeply grateful. ^^

Thanks for your time.
Have a good day! :D

User avatar
Ed_P
Contributor
Contributor
Posts: 4781
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

winbind - Some programs need it to work properly

Post#2 by Ed_P » 09 Mar 2019, 20:11

Hello jaidan372.

How do you know what modules Microsoft Office 2010 requires?? :%) It isn't a USM file.

Have you tried Wine?

Have you tried LibreOffice?
Ed

norb
Ronin
Ronin
Posts: 1
Joined: 10 Mar 2019, 10:18
Distribution: porteus

winbind - Some programs need it to work properly

Post#3 by norb » 10 Mar 2019, 10:22

Hi

winbind is a package in Samba, which is available thro USM.

Cheers

jaidan372
White ninja
White ninja
Posts: 4
Joined: 09 Mar 2019, 16:55
Distribution: Porteus

winbind - Some programs need it to work properly

Post#4 by jaidan372 » 12 Mar 2019, 16:06

I have used Ubuntu since 2010 and Porteus since 2012, and I have realized that MSO needs some packages to install and work properly, like: sane (which needs libieee), python, pygtk, pycairo, pygobject and winbind. If winbind is not installed, then the installation of MSO interrupted. That's what is happening to me in my MSO installation... :'(
I have gotten to install all the packs listed above using USM, except winbind.

You can see the installed packages in Porteus Info -> Package, but even when samba is installed, winbind doesn't appear in the list. :/

P. D.: I'm using CrossOver in Porteus 4.0 32bits.

jaidan372
White ninja
White ninja
Posts: 4
Joined: 09 Mar 2019, 16:55
Distribution: Porteus

winbind - Some programs need it to work properly

Post#5 by jaidan372 » 14 Mar 2019, 22:25

Hey, guys!
I got to run MS Office 2010!
I was trying and reading the log file. It seems some modules where missing: krb5, libbsd and systemd. Visual 2010 also needed to be installed before installing MSO.

In case someone is interested in the complete list of dependencies:
Sane (which needs libieee), python, pygtk, pycairo, pygobject, krb5, libbsd and systemd.
After that, install CrossOver (or WINE), install Visual 2010 and then install MSO. Enjoy it! ^^

User avatar
Ed_P
Contributor
Contributor
Posts: 4781
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

winbind - Some programs need it to work properly

Post#6 by Ed_P » 14 Mar 2019, 23:26

:) Happy to hear you got it to work jaidan372. And surprised to learn there is an alternative to Wine for Windows apps on Linux. I'd never heard of CrossOver before.
Ed

Post Reply